Intermittent dom/test/serviceworkers/test_third_party_iframes.html | Test timed out.

REOPENED
Unassigned
(NeedInfo from)

Status

()

defect
REOPENED
a year ago
a month ago

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

Tracking

({intermittent-failure, leave-open})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stockwell disabled])

Attachments

(1 attachment)

Reporter

Description

a year ago
treeherder
Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=157778102&repo=autoland

https://queue.taskcluster.net/v1/task/SR07MEHRRd2iN0avLgTCbg/runs/0/artifacts/public/logs/live_backing.log

[task 2018-01-22T20:31:00.191Z] 20:31:00     INFO -  656 INFO TEST-OK | dom/workers/test/serviceworkers/test_third_party_iframes.html | took 627885ms
2246
[task 2018-01-22T20:31:00.192Z] 20:31:00     INFO -  657 INFO TEST-UNEXPECTED-FAIL | dom/workers/test/serviceworkers/test_third_party_iframes.html | Test timed out.
2247
[task 2018-01-22T20:31:00.193Z] 20:31:00     INFO -      reportError@SimpleTest/TestRunner.js:121:7
2248
[task 2018-01-22T20:31:00.193Z] 20:31:00     INFO -      TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
2249
[task 2018-01-22T20:31:00.193Z] 20:31:00     INFO -  658 ERROR /tests/dom/workers/test/serviceworkers/test_third_party_iframes.html logged result after SimpleTest.finish(): Test timed out.
Comment hidden (Intermittent Failures Robot)
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=173554046&repo=mozilla-inbound&lineNumber=2436

[task 2018-04-13T18:06:45.841Z] 18:06:45     INFO -  778 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected worker-networkresponse
[task 2018-04-13T18:06:45.842Z] 18:06:45     INFO -  Buffered messages logged at 18:06:31
[task 2018-04-13T18:06:45.842Z] 18:06:45     INFO -  779 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected networkresponse
[task 2018-04-13T18:06:45.843Z] 18:06:45     INFO -  Buffered messages finished
[task 2018-04-13T18:06:45.843Z] 18:06:45     INFO -  780 INFO TEST-UNEXPECTED-FAIL | dom/serviceworkers/test/test_third_party_iframes.html | Test timed out.
[task 2018-04-13T18:06:45.844Z] 18:06:45     INFO -      reportError@SimpleTest/TestRunner.js:121:7
[task 2018-04-13T18:06:45.844Z] 18:06:45     INFO -      TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
[task 2018-04-13T18:06:45.844Z] 18:06:45     INFO -  781 INFO TEST-UNEXPECTED-FAIL | dom/serviceworkers/test/test_third_party_iframes.html | This test left a service worker registered without cleaning it up
[task 2018-04-13T18:06:45.845Z] 18:06:45     INFO -      afterCleanup@SimpleTest/SimpleTest.js:1199:17
[task 2018-04-13T18:06:45.845Z] 18:06:45     INFO -      executeCleanupFunction@SimpleTest/SimpleTest.js:1221:13
[task 2018-04-13T18:06:45.845Z] 18:06:45     INFO -      SimpleTest.finish@SimpleTest/SimpleTest.js:1240:5
[task 2018-04-13T18:06:45.845Z] 18:06:45     INFO -      killTest@SimpleTest/TestRunner.js:130:7
[task 2018-04-13T18:06:45.846Z] 18:06:45     INFO -      delayedKillTest@SimpleTest/TestRunner.js:157:47
[task 2018-04-13T18:06:45.846Z] 18:06:45     INFO -  782 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected worker-networkresponse
[task 2018-04-13T18:06:56.323Z] 18:06:56     INFO -  783 INFO TEST-UNEXPECTED-FAIL | dom/serviceworkers/test/test_third_party_iframes.html | Expected uncontrolled got controlled
[task 2018-04-13T18:06:56.323Z] 18:06:56     INFO -      runTest/window.onmessage@dom/serviceworkers/test/test_third_party_iframes.html:77:7
[task 2018-04-13T18:07:06.846Z] 18:07:06     INFO -  784 INFO TEST-UNEXPECTED-FAIL | dom/serviceworkers/test/test_third_party_iframes.html | Expected getregistrationfailed got unregistrationdone
[task 2018-04-13T18:07:06.846Z] 18:07:06     INFO -      runTest/window.onmessage@dom/serviceworkers/test/test_third_party_iframes.html:77:7
[task 2018-04-13T18:07:06.847Z] 18:07:06     INFO -  785 INFO TEST-OK | dom/serviceworkers/test/test_third_party_iframes.html | took 636768ms
[task 2018-04-13T18:07:06.848Z] 18:07:06     INFO -  786 ERROR /tests/dom/serviceworkers/test/test_third_party_iframes.html logged result after SimpleTest.finish(): This test left a service worker registered without cleaning it up
[task 2018-04-13T18:07:06.848Z] 18:07:06     INFO -  787 ERROR /tests/dom/serviceworkers/test/test_third_party_iframes.html logged result after SimpleTest.finish(): Received expected worker-networkresponse
[task 2018-04-13T18:07:06.849Z] 18:07:06     INFO -  788 ERROR /tests/dom/serviceworkers/test/test_third_party_iframes.html logged result after SimpleTest.finish(): Expected uncontrolled got controlled
[task 2018-04-13T18:07:06.850Z] 18:07:06     INFO -  789 ERROR /tests/dom/serviceworkers/test/test_third_party_iframes.html logged result after SimpleTest.finish(): Expected getregistrationfailed got unregistrationdone
[task 2018-04-13T18:07:17.374Z] 18:07:17     INFO -  790 INFO None791 INFO TEST-START | dom/serviceworkers/test/test_unregister.html
[task 2018-04-13T18:07:38.421Z] 18:07:38     INFO -  792 INFO TEST-OK | dom/serviceworkers/test/test_unregister.html | took 25177ms
[task 2018-04-13T18:07:48.946Z] 18:07:48     INFO -  793 INFO None794 INFO TEST-START | dom/serviceworkers/test/test_unresolved_fetch_interception.html
[task 2018-04-13T18:07:59.466Z] 18:07:59     INFO -  795 INFO TEST-OK | dom/serviceworkers/test/test_unresolved_fetch_interception.html | took 11501ms
[task 2018-04-13T18:08:09.984Z] 18:08:09     INFO -  796 INFO None797 INFO TEST-START | dom/serviceworkers/test/test_update_missing_imported_script.html
[task 2018-04-13T18:08:20.507Z] 18:08:20     INFO -  798 INFO TEST-OK | dom/serviceworkers/test/test_update_missing_imported_script.html | took 11762ms
[task 2018-04-13T18:08:31.024Z] 18:08:31     INFO -  799 INFO None800 INFO TEST-START | dom/serviceworkers/test/test_workerUnregister.html
[task 2018-04-13T18:08:52.670Z] 18:08:52     INFO -  801 INFO TEST-OK | dom/serviceworkers/test/test_workerUnregister.html | took 21331ms
[task 2018-04-13T18:09:03.186Z] 18:09:03     INFO -  802 INFO None803 INFO TEST-START | dom/serviceworkers/test/test_workerUpdate.html
[task 2018-04-13T18:09:24.929Z] 18:09:24     INFO -  804 INFO TEST-OK | dom/serviceworkers/test/test_workerUpdate.html | took 15628ms
[task 2018-04-13T18:09:35.553Z] 18:09:35     INFO -  805 INFO None806 INFO TEST-START | dom/serviceworkers/test/test_worker_reference_gc_timeout.html
[task 2018-04-13T18:11:22.880Z] 18:11:22     INFO -  807 INFO TEST-OK | dom/serviceworkers/test/test_worker_reference_gc_timeout.html | took 112009ms
[task 2018-04-13T18:11:33.398Z] 18:11:33     INFO -  808 INFO None809 INFO TEST-START | dom/serviceworkers/test/test_workerupdatefoundevent.html
[task 2018-04-13T18:11:43.916Z] 18:11:43     INFO -  810 INFO TEST-OK | dom/serviceworkers/test/test_workerupdatefoundevent.html | took 15552ms
[task 2018-04-13T18:11:54.442Z] 18:11:54     INFO -  811 INFO None812 INFO TEST-START | dom/serviceworkers/test/test_xslt.html
[task 2018-04-13T18:12:26.111Z] 18:12:26     INFO -  813 INFO TEST-OK | dom/serviceworkers/test/test_xslt.html | took 27287ms
[task 2018-04-13T18:12:36.630Z] 18:12:36     INFO -  814 INFO None815 INFO TEST-START | Shutdown
[task 2018-04-13T18:12:36.630Z] 18:12:36     INFO -  816 INFO Passed:  1101
[task 2018-04-13T18:12:36.631Z] 18:12:36  WARNING -  817 INFO Failed:  5
[task 2018-04-13T18:12:36.632Z] 18:12:36  WARNING -  One or more unittests failed.
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Summary: Intermittent dom/workers/test/serviceworkers/test_third_party_iframes.html | Test timed out. → Intermittent dom/test/serviceworkers/test_third_party_iframes.html | Test timed out.
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Last Resolved: a year ago6 months ago
Resolution: --- → INCOMPLETE
Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=217339542&repo=mozilla-inbound&lineNumber=1640

[task 2018-12-16T23:34:07.466Z] 23:34:07     INFO -  162 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected worker-networkresponse
[task 2018-12-16T23:34:07.466Z] 23:34:07     INFO -  Buffered messages logged at 23:33:55
[task 2018-12-16T23:34:07.466Z] 23:34:07     INFO -  163 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected uncontrolled
[task 2018-12-16T23:34:07.467Z] 23:34:07     INFO -  164 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected getregistrationfailed
[task 2018-12-16T23:34:07.467Z] 23:34:07     INFO -  Buffered messages logged at 23:34:02
[task 2018-12-16T23:34:07.468Z] 23:34:07     INFO -  165 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected controlled
[task 2018-12-16T23:34:07.468Z] 23:34:07     INFO -  Buffered messages finished
[task 2018-12-16T23:34:07.468Z] 23:34:07     INFO -  166 INFO TEST-UNEXPECTED-FAIL | dom/serviceworkers/test/test_third_party_iframes.html | Test timed out.
[task 2018-12-16T23:34:07.469Z] 23:34:07     INFO -      SimpleTest.ok@SimpleTest/SimpleTest.js:275:7
[task 2018-12-16T23:34:07.469Z] 23:34:07     INFO -      reportError@SimpleTest/TestRunner.js:121:7
[task 2018-12-16T23:34:07.469Z] 23:34:07     INFO -      TestRunner._checkForHangs@SimpleTest/TestRunner.js:142:7
[task 2018-12-16T23:34:07.470Z] 23:34:07     INFO -  167 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Received expected unregistrationdone
[task 2018-12-16T23:34:07.470Z] 23:34:07     INFO -  168 INFO TEST-PASS | dom/serviceworkers/test/test_third_party_iframes.html | Test finished successfully
[task 2018-12-16T23:34:07.470Z] 23:34:07     INFO -  169 INFO Step 15
[task 2018-12-16T23:34:07.470Z] 23:34:07     INFO -  170 ERROR [SimpleTest.finish()] this test already called finish!
[task 2018-12-16T23:34:07.471Z] 23:34:07     INFO -  171 INFO TEST-UNEXPECTED-ERROR | dom/serviceworkers/test/test_third_party_iframes.html | called finish() multiple times
[task 2018-12-16T23:34:07.471Z] 23:34:07     INFO -  TEST-INFO took 620277ms
[task 2018-12-16T23:34:17.754Z] 23:34:17     INFO -  172 INFO TEST-OK | dom/serviceworkers/test/test_third_party_iframes.html
[task 2018-12-16T23:34:28.074Z] 23:34:28     INFO -  173 INFO TEST-START | dom/serviceworkers/test/test_unregister.html
[task 2018-12-16T23:34:48.695Z] 23:34:48     INFO -  174 INFO TEST-OK | dom/serviceworkers/test/test_unregister.html | took 21891ms
[task 2018-12-16T23:34:48.695Z] 23:34:48     INFO -  175 INFO TEST-START | dom/serviceworkers/test/test_unresolved_fetch_interception.html
[task 2018-12-16T23:35:09.334Z] 23:35:09     INFO -  176 INFO TEST-OK | dom/serviceworkers/test/test_unresolved_fetch_interception.html | took 18098ms
[task 2018-12-16T23:35:19.645Z] 23:35:19     INFO -  177 INFO TEST-START | dom/serviceworkers/test/test_workerUnregister.html
[task 2018-12-16T23:35:41.174Z] 23:35:41     INFO -  178 INFO TEST-OK | dom/serviceworkers/test/test_workerUnregister.html | took 19268ms
[task 2018-12-16T23:35:41.174Z] 23:35:41     INFO -  179 INFO TEST-START | dom/serviceworkers/test/test_workerUpdate.html
[task 2018-12-16T23:36:02.499Z] 23:36:02     INFO -  180 INFO TEST-OK | dom/serviceworkers/test/test_workerUpdate.html | took 17743ms
[task 2018-12-16T23:36:12.819Z] 23:36:12     INFO -  181 INFO TEST-START | dom/serviceworkers/test/test_worker_reference_gc_timeout.html
[task 2018-12-16T23:37:25.008Z] 23:37:25     INFO -  182 INFO TEST-OK | dom/serviceworkers/test/test_worker_reference_gc_timeout.html | took 79212ms
[task 2018-12-16T23:37:35.319Z] 23:37:35     INFO -  183 INFO TEST-START | dom/serviceworkers/test/test_workerupdatefoundevent.html
[task 2018-12-16T23:37:55.950Z] 23:37:55     INFO -  184 INFO TEST-OK | dom/serviceworkers/test/test_workerupdatefoundevent.html | took 15357ms
[task 2018-12-16T23:37:55.950Z] 23:37:55     INFO -  185 INFO TEST-START | dom/serviceworkers/test/test_xslt.html
[task 2018-12-16T23:38:16.577Z] 23:38:16     INFO -  186 INFO TEST-OK | dom/serviceworkers/test/test_xslt.html | took 21015ms
[task 2018-12-16T23:38:26.893Z] 23:38:26     INFO -  187 INFO TEST-START | Shutdown
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
See Also: → 1525245
Flags: needinfo?(amarchesini)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)

Comment 51

2 months ago
Pushed by nbeleuzu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/5ddb915061d2
Disable test_third_party_iframes.html on android debug for frequent failures r=aryx
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
Comment hidden (Intermittent Failures Robot)
You need to log in before you can comment on or make changes to this bug.